:root {
  --app-button-theme: #fff;
  --app-button: #424242;
  --app-button-text: #eee;
  --app-button-shadow: #232323;
}

body.theme-sweet {
  .primary {
    --app-button: #f7bff2;
    --app-button-text: #000;
    --app-button-shadow: #cc85ff;
  }

  .accent {
    --app-button: #92c8f4;
    --app-button-text: #fff0fe;
    --app-button-shadow: #6396d3;
  }

  .discreet {
    --app-button: #999999;
    --app-button-text: #fff;
    --app-button-shadow: #2e2e2e;
  }

  .warn {
    --app-button: #cc2d2d;
    --app-button-text: #fff;
    --app-button-shadow: #721a1a;
  }
}

body.theme-gothic {
  .primary {
    --app-button: #322187;
    --app-button-text: #fff;
    --app-button-shadow: #000;
  }

  .accent {
    --app-button: #3f0670;
    --app-button-text: #fff0fe;
    --app-button-shadow: #1c0638;
  }

  .discreet {
    --app-button: #424242;
    --app-button-text: #fff;
    --app-button-shadow: #000000;
  }

  .warn {
    --app-button: #cc2d2d;
    --app-button-text: #fff;
    --app-button-shadow: #721a1a;
  }
}

body.theme-classic {
  .primary {
    --app-button: #d32a09;
    --app-button-text: #fff;
    --app-button-shadow: #892806;
  }

  .accent {
    --app-button: #875533;
    --app-button-text: #fff0fe;
    --app-button-shadow: #422a1a;
  }

  .warn {
    --app-button: #1b1b1b;
    --app-button-text: #fff;
    --app-button-shadow: #000000;
  }
}
